import { createLocalVue, mount, shallowMount } from '@vue/test-utils';
import AppFooter from '../client/components/AppFooter.vue'; // name of your Vue component
import vuetifySetting from '../client/plugins/vuetify.js';
import Vue from 'vue';
import Vuetify from 'vuetify';




let wrapper;

beforeEach(() => {
    Vue.use(Vuetify);
    wrapper = shallowMount(AppFooter, {
        propsData: {},
        mocks: {},
        stubs: {},
        methods: {},
        vuetify: vuetifySetting
    });
});

afterEach(() => {
    wrapper.destroy();
});

describe('AppFooter', () => {
    test('is a Vue instance', () => {
        expect(wrapper.isVueInstance).toBeTruthy();
    });
});